- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CVerticalSwitch Class Reference

a vertical switch control More...

`#include <vstcontrols.h>`

Inheritance diagram for CVerticalSwitch:

List of all members.

## Public Member Functions
| CVerticalSwitch (const CRect &size, CControlListener *listener, long tag, CBitmap *background, CPoint &offset)
| CVerticalSwitch (const CRect &size, CControlListener *listener, long tag, long subPixmaps, CCoord heightOfOneImage, long iMaxPositions, CBitmap *background, CPoint &offset)
virtual | ~CVerticalSwitch ()
virtual void | draw (CDrawContext *)
| called if the view should draw itself
virtual void | mouse (CDrawContext *pContext, CPoint &where, long button=-1)
| called if a mouse click event occurs
## Protected Attributes
CPoint | offset
long | subPixmaps
CCoord | heightOfOneImage
long | iMaxPositions

## Detailed Description

a vertical switch control

Define a switch with a given number of positions, the current position is defined by the position of the last click on this object (the object is divided in its height by the number of position). Each position has its subpixmap, each subpixmap is stacked in the given handle pixmap. By clicking Alt+Left Mouse the default value is used.

## Constructor & Destructor Documentation

CVerticalSwitch::CVerticalSwitch | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | CBitmap * | background,
|  | CPoint & | offset
| ) |

CVerticalSwitch::CVerticalSwitch | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | long | subPixmaps,
|  | CCoord | heightOfOneImage,
|  | long | iMaxPositions,
|  | CBitmap * | background,
|  | CPoint & | offset
| ) |

CVerticalSwitch::~CVerticalSwitch | ( |  | ) | `[virtual]`

## Member Function Documentation

void CVerticalSwitch::draw | ( | CDrawContext * |  | ) | `[virtual]`

| called if the view should draw itself Implements CControl.

void CVerticalSwitch::mouse | ( | CDrawContext * | pContext,
|  | CPoint & | where,
|  | long | button = `-1`
| ) | `[virtual]`

| called if a mouse click event occurs Reimplemented from CView.

## Member Data Documentation

CCoord CVerticalSwitch::heightOfOneImage`[protected]`

long CVerticalSwitch::iMaxPositions`[protected]`

CPoint CVerticalSwitch::offset`[protected]`

long CVerticalSwitch::subPixmaps`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.